'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _reactRedux = require('react-redux');

var _configureStore = require('./store/configureStore');

var _configureStore2 = _interopRequireDefault(_configureStore);

var _sagas = require('./sagas');

var _sagas2 = _interopRequireDefault(_sagas);

var _crowdlabReactTranslations = require('crowdlab-react-translations');

var _NotificationsProvider = require('./containers/NotificationsProvider');

var _NotificationsProvider2 = _interopRequireDefault(_NotificationsProvider);

var _NotificationsMenu = require('./containers/NotificationsMenu');

var _NotificationsMenu2 = _interopRequireDefault(_NotificationsMenu);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var store = (0, _configureStore2['default'])();
_configureStore.sagaMiddleware.run(_sagas2['default']);

var Notifications = function Notifications(_ref) {
  var target = _ref.target,
      fetchPath = _ref.fetchPath,
      locale = _ref.locale;
  return _reactDom2['default'].render(_react2['default'].createElement(
    _crowdlabReactTranslations.TranslationProvider,
    { locale: locale },
    _react2['default'].createElement(
      _reactRedux.Provider,
      { store: store },
      _react2['default'].createElement(
        _NotificationsProvider2['default'],
        null,
        _react2['default'].createElement(_NotificationsMenu2['default'], { fetchPath: fetchPath })
      )
    )
  ), document.querySelector(target));
};

exports['default'] = Notifications;