'use strict';

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _crowdlabReactTranslations = require('crowdlab-react-translations');

var _enzyme = require('enzyme');

var _Dropdown = require('./Dropdown');

var _Dropdown2 = _interopRequireDefault(_Dropdown);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('renders the passed link with its own props and an onclick event', function (t) {
  var link = _react2['default'].createElement('div', { 'data-role': 'test-link', style: 'customProp' });
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(
    _Dropdown.Dropdown,
    { link: link },
    _react2['default'].createElement(
      'div',
      null,
      'Test'
    )
  ));

  var linkElement = wrapper.find('[data-role="test-link"]');
  t.is(linkElement.prop('style'), 'customProp');
  t.is((0, _typeof3['default'])(linkElement.prop('onClick')), 'function');
});

(0, _ava2['default'])('before the link is clicked the children are not rendered', function (t) {
  var link = _react2['default'].createElement('div', { 'data-role': 'test-link' });
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(
    _Dropdown.Dropdown,
    { link: link },
    _react2['default'].createElement(
      'div',
      { 'data-role': 'child' },
      'Test'
    )
  ));

  var child = wrapper.find('[data-role="child"]');
  t.is(child.length, 0);
});

(0, _ava2['default'])('when the link is clicked the children are rendered', function (t) {
  var link = _react2['default'].createElement('div', { 'data-role': 'test-link' });
  var wrapper = (0, _enzyme.mount)((0, _crowdlabReactTranslations.injectTranslations)(_react2['default'].createElement(
    _Dropdown2['default'],
    { link: link },
    _react2['default'].createElement(
      'div',
      { 'data-role': 'child' },
      'Test'
    )
  )));

  var linkElement = wrapper.find('[data-role="test-link"]');
  linkElement.simulate('click');

  var child = wrapper.find('[data-role="child"]');
  t.is(child.length, 1);
});

(0, _ava2['default'])('when somewhere other than the dropdown is clicked the dropdown is hidden', function (t) {
  var link = _react2['default'].createElement('div', { 'data-role': 'test-link' });
  var wrapper = (0, _enzyme.mount)((0, _crowdlabReactTranslations.injectTranslations)(_react2['default'].createElement(
    _Dropdown2['default'],
    { link: link },
    _react2['default'].createElement(
      'div',
      { 'data-role': 'child' },
      'Test'
    )
  )));
  var linkElement = wrapper.find('[data-role="test-link"]');
  linkElement.simulate('click');

  document.body.click();

  var child = wrapper.find('[data-role="child"]');
  t.is(child.length, 0);
});