'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _modify = require('../utils/modify');

require('./NotificationCount.scss');

var _notificationHelper = require('../models/notificationHelper');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var NotificationCount = function NotificationCount(_ref, _ref2) {
  var notifications = _ref.notifications;
  var appType = _ref2.appType;

  if ((0, _notificationHelper.noNotifications)(notifications)) {
    return null;
  }

  var className = (0, _modify.bemModify)(appType, '', false);
  return _react2['default'].createElement(
    'div',
    { className: className('notification-count'), 'data-role': 'notification-count' },
    (0, _notificationHelper.count)(notifications)
  );
};

NotificationCount.propTypes = {
  notifications: _react.PropTypes.shape({
    probes: _react.PropTypes.array
  }).isRequired
};

NotificationCount.contextTypes = {
  appType: _react.PropTypes.string
};

exports['default'] = NotificationCount;