'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _enzyme = require('enzyme');

var _NotificationCount = require('./NotificationCount');

var _NotificationCount2 = _interopRequireDefault(_NotificationCount);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('when there are notifications, it shows a count', function (t) {
  var notifications = {
    probes: [{ message: 'text' }]
  };
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationCount2['default'], { notifications: notifications }));

  t.is(wrapper.text(), '1');
});

(0, _ava2['default'])('when there are no notifications, renders nothing', function (t) {
  var notifications = {
    probes: []
  };
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationCount2['default'], { notifications: notifications }));

  t['true'](wrapper.children().isEmpty());
});

(0, _ava2['default'])('it modifies the className with the supplied context appType', function (t) {
  var notifications = {
    probes: [{ message: 'text' }]
  };
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationCount2['default'], { notifications: notifications }), { context: { appType: 'stubbed-app-type' } });

  t.is(wrapper.prop('className'), 'notification-count notification-count--stubbed-app-type');
});