'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _crowdlabReactTranslations = require('crowdlab-react-translations');

require('./NotificationItem.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var nicknameText = function nicknameText(authorType) {
  return authorType === 'participant' ? 'notifications.reply' : 'notifications.new';
};

var NotificationItem = function NotificationItem(_ref) {
  var id = _ref.id,
      authorAvatar = _ref.authorAvatar,
      authorName = _ref.authorName,
      authorType = _ref.authorType,
      text = _ref.text,
      sentAt = _ref.sentAt;
  return _react2['default'].createElement(
    'a',
    { className: 'notification-item', href: '/probes/' + String(id), 'data-role': 'link' },
    _react2['default'].createElement(
      'div',
      { className: 'notification-item__avatar' },
      _react2['default'].createElement('img', {
        className: 'notification-avatar',
        'data-role': 'author-avatar',
        src: authorAvatar
      })
    ),
    _react2['default'].createElement(
      'div',
      { className: 'notification-item__info' },
      _react2['default'].createElement(
        'span',
        { className: 'notification-item__nickname', 'data-role': 'author-nickname' },
        _react2['default'].createElement(_crowdlabReactTranslations.Translate, { id: nicknameText(authorType), values: { name: authorName } })
      ),
      _react2['default'].createElement(
        'span',
        { className: 'notification-item__text', 'data-role': 'notification-item-text' },
        text
      ),
      _react2['default'].createElement(
        'span',
        { className: 'notification-item__datetime', 'data-role': 'notification-item-datetime' },
        _react2['default'].createElement(_crowdlabReactTranslations.RelativeDate, { date: sentAt })
      )
    )
  );
};

NotificationItem.propTypes = {
  authorName: _react.PropTypes.string.isRequired,
  authorAvatar: _react.PropTypes.string.isRequired,
  authorType: _react.PropTypes.string.isRequired,
  text: _react.PropTypes.string.isRequired,
  id: _react.PropTypes.number.isRequired,
  sentAt: _react.PropTypes.string.isRequired
};

exports['default'] = NotificationItem;