'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _enzyme = require('enzyme');

var _NotificationItem = require('./NotificationItem');

var _NotificationItem2 = _interopRequireDefault(_NotificationItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('it renders an avatar', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationItem2['default'], (0, _extends3['default'])({}, defaultProps, { authorAvatar: 'imagepath.jpg' })));

  var avatar = wrapper.find('[data-role="author-avatar"]');

  t.is(avatar.prop('src'), 'imagepath.jpg');
});

(0, _ava2['default'])('it renders the text and date', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationItem2['default'], (0, _extends3['default'])({}, defaultProps, {
    text: 'notification text',
    sentAt: '1989-10-28T16:28:55+00:00'
  })));

  var messageText = wrapper.find('[data-role="notification-item-text"]');
  var sentAt = wrapper.find('[data-role="notification-item-datetime"]');

  t.is(messageText.text(), 'notification text');
  t.is(sentAt.find('RelativeDate').length, 1);
});

(0, _ava2['default'])('the link points to probes/:id', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationItem2['default'], (0, _extends3['default'])({}, defaultProps, { id: 2 })));

  var link = wrapper.find('[data-role="link"]');

  t.is(link.prop('href'), '/probes/2');
});

(0, _ava2['default'])('when the last author was a participant shows "has replied" text', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationItem2['default'], (0, _extends3['default'])({}, defaultProps, { authorType: 'participant' })));

  var nickname = wrapper.find('[data-role="author-nickname"]');
  var translatedNickname = nickname.find('Translate');

  t.is(translatedNickname.prop('id'), 'notifications.reply');
});

(0, _ava2['default'])('when the last author was a researcher shows "asked a question" text', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationItem2['default'], (0, _extends3['default'])({}, defaultProps, { authorType: 'researcher' })));

  var nickname = wrapper.find('[data-role="author-nickname"]');
  var translatedNickname = nickname.find('Translate');

  t.is(translatedNickname.prop('id'), 'notifications.new');
});

var defaultProps = {
  id: 1,
  authorAvatar: 'image.jpg',
  authorName: 'Author',
  authorType: 'participant',
  text: 'Text',
  sentAt: '2016-08-17T16:29:55+00:00'
};