'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _crowdlabUtils = require('crowdlab-utils');

var _crowdlabReactTranslations = require('crowdlab-react-translations');

require('./NotificationItemLayout.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var NotificationItemLayout = function NotificationItemLayout(_ref) {
  var menuIsOpen = _ref.menuIsOpen,
      children = _ref.children;
  return _react2['default'].createElement(
    'div',
    {
      className: (0, _crowdlabUtils.blockClassNameModifier)(menuIsOpen, 'notifications-menu-dropdown'),
      'data-role': 'notifications-menu'
    },
    _react2['default'].createElement(
      'span',
      {
        className: (0, _crowdlabUtils.blockClassNameModifier)(menuIsOpen, 'notifications-menu-dropdown__heading'),
        'data-role': 'notifications-title'
      },
      _react2['default'].createElement(_crowdlabReactTranslations.Translate, { id: 'notifications.title' })
    ),
    _react2['default'].createElement(
      'div',
      { className: 'notifications-menu-dropdown__list' },
      children
    )
  );
};

NotificationItemLayout.propTypes = {
  children: _react.PropTypes.node.isRequired,
  menuIsOpen: _react.PropTypes.bool
};

exports['default'] = NotificationItemLayout;