'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./NotificationsBell.scss');

var _icons = require('./icons.json');

var _crowdlabUtils = require('crowdlab-utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var NotificationsBell = function NotificationsBell(_ref) {
  var hasNotifications = _ref.hasNotifications;
  return _react2['default'].createElement(
    'span',
    { className: (0, _crowdlabUtils.blockClassNameModifier)(hasNotifications, 'notifications-bell') },
    _react2['default'].createElement(
      'svg',
      {
        className: (0, _crowdlabUtils.blockClassNameModifier)(hasNotifications, 'notifications-bell__icon'),
        'data-role': 'icon',
        x: '0px',
        y: '0px',
        viewBox: '0 0 16 16'
      },
      _icons.bell.map(function (path, index) {
        return _react2['default'].createElement('path', { 'data-role': 'path', key: index, d: path });
      })
    )
  );
};

NotificationsBell.propTypes = {
  hasNotifications: _react.PropTypes.bool.isRequired
};

exports['default'] = NotificationsBell;