'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _crowdlabReactTranslations = require('crowdlab-react-translations');

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _NotificationItemLayout = require('./NotificationItemLayout');

var _NotificationItemLayout2 = _interopRequireDefault(_NotificationItemLayout);

var _NotificationItem = require('./NotificationItem');

var _NotificationItem2 = _interopRequireDefault(_NotificationItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var getAuthor = function getAuthor(authors, authorId) {
  return _lodash2['default'].find(authors, function (author) {
    return author.id === authorId;
  });
};

var NotificationsList = function NotificationsList(_ref) {
  var menuIsOpen = _ref.menuIsOpen,
      _ref$notifications = _ref.notifications,
      authors = _ref$notifications.authors,
      probes = _ref$notifications.probes;

  if (_lodash2['default'].isEmpty(probes)) {
    return _react2['default'].createElement(
      _NotificationItemLayout2['default'],
      { menuIsOpen: menuIsOpen },
      _react2['default'].createElement(
        'span',
        {
          className: 'notifications-menu-dropdown__no-notifications',
          'data-role': 'notifications-info'
        },
        _react2['default'].createElement(_crowdlabReactTranslations.Translate, { id: 'notifications.noNotifications' })
      )
    );
  }

  var notificationItem = function notificationItem(probe) {
    var lastMessage = _lodash2['default'].last(probe.messages);
    var author = getAuthor(authors, lastMessage.authorId);
    return _react2['default'].createElement(_NotificationItem2['default'], {
      key: probe.id,
      id: probe.id,
      authorAvatar: author.avatar,
      authorName: author.nickname,
      authorType: author.type,
      text: lastMessage.text,
      sentAt: lastMessage.sentAt
    });
  };

  return _react2['default'].createElement(
    _NotificationItemLayout2['default'],
    { menuIsOpen: menuIsOpen },
    probes.map(notificationItem)
  );
};

NotificationsList.propTypes = {
  notifications: _react.PropTypes.shape({
    probes: _react.PropTypes.array.isRequired,
    authors: _react.PropTypes.array.isRequired
  }).isRequired,
  menuIsOpen: _react.PropTypes.bool
};

exports['default'] = NotificationsList;