'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _enzyme = require('enzyme');

var _crowdlabReactTranslations = require('crowdlab-react-translations');

var _NotificationsList = require('./NotificationsList');

var _NotificationsList2 = _interopRequireDefault(_NotificationsList);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('when there are no notifications, displays no message text', function (t) {
  var translations = (0, _extends3['default'])({}, defaultTranslations, {
    'notifications.noNotifications': 'stubbed noinfo'
  });
  var wrapper = (0, _enzyme.mount)((0, _crowdlabReactTranslations.injectTranslations)(_react2['default'].createElement(_NotificationsList2['default'], emptyNotificationProps), translations));

  var info = wrapper.find('[data-role="notifications-info"]');

  t.is(info.text(), 'stubbed noinfo');
});

(0, _ava2['default'])('when there are notifications, it does not show the no message text', function (t) {
  var translations = (0, _extends3['default'])({}, defaultTranslations, {
    'notifications.noNotifications': 'stubbed noinfo'
  });
  var wrapper = (0, _enzyme.mount)((0, _crowdlabReactTranslations.injectTranslations)(_react2['default'].createElement(_NotificationsList2['default'], populatedNotificationsProps), translations));

  var info = wrapper.find('[data-role="notifications-info"]');

  t.is(info.length, 0);
});

(0, _ava2['default'])('when there are notifications, renders NotificationItem for each notification', function (t) {
  var translations = (0, _extends3['default'])({}, defaultTranslations, {
    'notifications.noNotifications': 'stubbed noinfo'
  });
  var wrapper = (0, _enzyme.mount)((0, _crowdlabReactTranslations.injectTranslations)(_react2['default'].createElement(_NotificationsList2['default'], populatedNotificationsProps), translations));

  var items = wrapper.find('NotificationItem');
  var notificationsCount = populatedNotificationsProps.notifications.probes.length;

  t.is(items.length, notificationsCount);
});

(0, _ava2['default'])('picks the last message to show in the menu', function (t) {
  var firstMessage = {
    id: 1,
    authorId: 3,
    text: 'i am the first message',
    sentAt: '2016-08-12T14:35:25+00:00'
  };
  var secondMessage = {
    id: 2,
    authorId: 4,
    text: 'i am the second message',
    sentAt: '2016-08-12T14:35:25+00:00'
  };
  var props = {
    notifications: {
      authors: [{ id: 3, avatar: 'somepath.jpg', nickname: 'Bob', type: 'researcher' }, { id: 4, avatar: 'somepath.jpg', nickname: 'Max', type: 'participant' }],
      probes: [{ id: 1, messages: [firstMessage, secondMessage] }]
    }
  };
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationsList2['default'], props));

  var item = wrapper.find('NotificationItem');

  t.deepEqual(item.prop('text'), 'i am the second message');
});

var emptyNotificationProps = {
  notifications: {
    authors: [],
    probes: []
  }
};

var populatedNotificationsProps = {
  notifications: {
    authors: [{ id: 3, avatar: 'somepath.jpg', nickname: 'Bob', type: 'researcher' }, { id: 4, avatar: 'somepath.jpg', nickname: 'Max', type: 'participant' }],
    probes: [{
      id: 1,
      messages: [{ id: 1, authorId: 3, text: 'banana', sentAt: '2016-08-12T14:35:25+00:00' }]
    }, {
      id: 2,
      messages: [{ id: 2, authorId: 4, text: 'apple', sentAt: '2016-08-12T14:35:25+00:00' }]
    }]
  }
};

var defaultTranslations = {
  'notifications.noNotifications': 'No Notifications',
  'notifications.title': 'Notifications',
  'notifications.new': 'ask',
  'notifications.reply': 'reply'
};