'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ramda = require('ramda');

var _ramda2 = _interopRequireDefault(_ramda);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _crowdlabReactTranslations = require('crowdlab-react-translations');

var _lastMessage = require('../models/lastMessage');

require('./ParticipantNotification.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var ParticipantNotification = function ParticipantNotification(_ref) {
  var probe = _ref.probe,
      authors = _ref.authors;

  var taskIcon = _ramda2['default'].path(['probeable', 'taskIcon'], probe);
  var taskTitle = _ramda2['default'].path(['probeable', 'taskTitle'], probe);
  var authorName = (0, _lastMessage.lastMessageAuthorName)({ probe: probe, authors: authors });
  return _react2['default'].createElement(
    'div',
    { className: 'participant-notification' },
    _react2['default'].createElement(
      'div',
      { className: 'participant-notification__text' },
      _react2['default'].createElement(
        'span',
        { className: 'participant-notification__from' },
        authorName,
        ': '
      ),
      (0, _lastMessage.lastMessageText)({ probe: probe })
    ),
    _react2['default'].createElement(
      'div',
      { className: 'participant-notification-meta' },
      _react2['default'].createElement(
        'div',
        { className: 'participant-notification-meta__icon' },
        taskIcon && _react2['default'].createElement('img', {
          className: 'participant-notification-icon',
          'data-role': 'task-icon',
          src: taskIcon
        })
      ),
      _react2['default'].createElement(
        'div',
        { className: 'participant-notification-metatask' },
        _react2['default'].createElement(
          'div',
          { className: 'participant-notification-meta__task-title', 'data-role': 'task-title' },
          taskTitle
        ),
        _react2['default'].createElement(
          'div',
          { className: 'participant-notification-meta__date' },
          _react2['default'].createElement(_crowdlabReactTranslations.RelativeDate, { date: (0, _lastMessage.lastMessageSentAt)({ probe: probe }) })
        )
      )
    )
  );
};

ParticipantNotification.propTypes = {
  probe: _react.PropTypes.shape({
    id: _react.PropTypes.number.isRequired,
    probeable: _react.PropTypes.shape({
      id: _react.PropTypes.number.isRequired,
      taskIcon: _react.PropTypes.string.isRequired,
      taskTitle: _react.PropTypes.string.isRequired
    }),
    messages: _react.PropTypes.arrayOf(_react.PropTypes.shape({
      authorId: _react.PropTypes.number.isRequired,
      sentAt: _react.PropTypes.string.isRequired,
      text: _react.PropTypes.string.isRequired
    }).isRequired)
  }).isRequired,
  authors: _react.PropTypes.arrayOf(_react.PropTypes.shape({
    id: _react.PropTypes.number.isRequired,
    nickname: _react.PropTypes.string.isRequired,
    avatar: _react.PropTypes.string.isRequired,
    type: _react.PropTypes.string.isRequired
  }).isRequired)
};

exports['default'] = ParticipantNotification;