'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _enzyme = require('enzyme');

var _ParticipantNotification = require('./ParticipantNotification');

var _ParticipantNotification2 = _interopRequireDefault(_ParticipantNotification);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('it renders the researcher name and message text inline', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_ParticipantNotification2['default'], defaultProps));

  var text = wrapper.find('Truncate');
  t.is(text.children().text(), 'Dave: Hello world');
  t.is(text.prop('lines'), 2);
});

(0, _ava2['default'])('if probeable is present, it renders the task icon', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_ParticipantNotification2['default'], defaultProps));

  var icon = wrapper.find('[data-role="task-icon"]');
  t.is(icon.prop('src'), 'image.jpg');
});

(0, _ava2['default'])('if probeable is not present, it renders no task icon', function (t) {
  var probe = (0, _extends3['default'])({}, defaultProps.probe, {
    probeable: null
  });
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_ParticipantNotification2['default'], (0, _extends3['default'])({}, defaultProps, { probe: probe })));

  var icon = wrapper.find('[data-role="task-icon"]');
  t.is(icon.length, 0);
});

(0, _ava2['default'])('if probeable is present, it renders the task title', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_ParticipantNotification2['default'], defaultProps));

  var title = wrapper.find('[data-role="task-title"]');
  t.is(title.text(), 'Task Title');
});

(0, _ava2['default'])('if probeable is not present, it does not the task title', function (t) {
  var probe = (0, _extends3['default'])({}, defaultProps.probe, {
    probeable: null
  });
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_ParticipantNotification2['default'], (0, _extends3['default'])({}, defaultProps, { probe: probe })));

  var title = wrapper.find('[data-role="task-title"]');
  t.is(title.text(), '');
});

(0, _ava2['default'])('it renders the sentAt date', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_ParticipantNotification2['default'], defaultProps));

  var date = wrapper.find('RelativeDate');
  t.is(date.prop('date'), '2016-08-17T16:29:55+00:00');
});

var defaultProps = {
  probe: {
    id: 1,
    probeable: {
      id: 1,
      taskIcon: 'image.jpg',
      taskTitle: 'Task Title'
    },
    messages: [{
      authorId: 1,
      sentAt: '2016-08-17T16:29:55+00:00',
      text: 'Hello world'
    }]
  },
  authors: [{
    id: 1,
    nickname: 'Dave',
    avatar: 'avatar.jpg',
    type: 'researcher'
  }]
};