'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _crowdlabReactTranslations = require('crowdlab-react-translations');

var _lastMessage = require('../models/lastMessage');

require('./ResearcherNotification.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var nicknameText = function nicknameText(authorType) {
  return authorType === 'participant' ? 'notifications.reply' : 'notifications.new';
};

var ResearcherNotification = function ResearcherNotification(_ref) {
  var probe = _ref.probe,
      authors = _ref.authors;
  return _react2['default'].createElement(
    'div',
    { className: 'researcher-notification' },
    _react2['default'].createElement(
      'span',
      { className: 'researcher-notification__nickname', 'data-role': 'author-nickname' },
      _react2['default'].createElement(_crowdlabReactTranslations.Translate, {
        id: nicknameText((0, _lastMessage.lastMessageAuthorType)({ probe: probe, authors: authors })),
        values: { name: (0, _lastMessage.lastMessageAuthorName)({ probe: probe, authors: authors }) }
      })
    ),
    _react2['default'].createElement(
      'span',
      { className: 'researcher-notification__text', 'data-role': 'notification-item-text' },
      (0, _lastMessage.lastMessageText)({ probe: probe })
    ),
    _react2['default'].createElement(
      'span',
      { className: 'researcher-notification__datetime', 'data-role': 'notification-item-datetime' },
      _react2['default'].createElement(_crowdlabReactTranslations.RelativeDate, { date: (0, _lastMessage.lastMessageSentAt)({ probe: probe }) })
    )
  );
};

ResearcherNotification.propTypes = {
  probe: _react.PropTypes.shape({
    id: _react.PropTypes.number.isRequired,
    probeable: _react.PropTypes.shape({
      id: _react.PropTypes.number.isRequired,
      taskIcon: _react.PropTypes.string.isRequired,
      taskTitle: _react.PropTypes.string.isRequired
    }),
    messages: _react.PropTypes.arrayOf(_react.PropTypes.shape({
      authorId: _react.PropTypes.number.isRequired,
      sentAt: _react.PropTypes.string.isRequired,
      text: _react.PropTypes.string.isRequired
    }).isRequired)
  }).isRequired,
  authors: _react.PropTypes.arrayOf(_react.PropTypes.shape({
    id: _react.PropTypes.number.isRequired,
    nickname: _react.PropTypes.string.isRequired,
    avatar: _react.PropTypes.string.isRequired,
    type: _react.PropTypes.string.isRequired
  }).isRequired)
};

exports['default'] = ResearcherNotification;