'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _toConsumableArray2 = require('babel-runtime/helpers/toConsumableArray');

var _toConsumableArray3 = _interopRequireDefault(_toConsumableArray2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _enzyme = require('enzyme');

var _ResearcherNotification = require('./ResearcherNotification');

var _ResearcherNotification2 = _interopRequireDefault(_ResearcherNotification);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('it renders the text and date', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_ResearcherNotification2['default'], defaultProps));

  var messageText = wrapper.find('[data-role="notification-item-text"]');
  var sentAt = wrapper.find('[data-role="notification-item-datetime"]');

  t.is(messageText.text(), 'Hello world');
  t.is(sentAt.find('RelativeDate').length, 1);
});

(0, _ava2['default'])('when the last author was a participant shows "has replied" text', function (t) {
  var authors = [].concat((0, _toConsumableArray3['default'])(defaultProps.authors), [{
    id: 2,
    nickname: 'Dave',
    avatar: 'avatar.jpg',
    type: 'participant'
  }]);
  var probe = (0, _extends3['default'])({}, defaultProps.probe, {
    messages: [].concat((0, _toConsumableArray3['default'])(defaultProps.probe.messages), [{
      authorId: 2,
      sentAt: '2016-08-17T16:29:55+00:00',
      text: 'Hello world'
    }])
  });
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_ResearcherNotification2['default'], (0, _extends3['default'])({}, defaultProps, { authors: authors, probe: probe })));

  var nickname = wrapper.find('[data-role="author-nickname"]');
  var translatedNickname = nickname.find('Translate');

  t.is(translatedNickname.prop('id'), 'notifications.reply');
});

(0, _ava2['default'])('when the last author was a researcher shows "asked a question" text', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_ResearcherNotification2['default'], (0, _extends3['default'])({}, defaultProps, { authorType: 'researcher' })));

  var nickname = wrapper.find('[data-role="author-nickname"]');
  var translatedNickname = nickname.find('Translate');

  t.is(translatedNickname.prop('id'), 'notifications.new');
});

var defaultProps = {
  probe: {
    id: 1,
    probeable: {
      id: 1,
      taskIcon: 'image.jpg',
      taskTitle: 'Task Title'
    },
    messages: [{
      authorId: 1,
      sentAt: '2016-08-17T16:29:55+00:00',
      text: 'Hello world'
    }]
  },
  authors: [{
    id: 1,
    nickname: 'Dave',
    avatar: 'avatar.jpg',
    type: 'researcher'
  }]
};