'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NotificationsMenu = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _actions = require('../actions');

var _NotificationsList = require('../components/NotificationsList');

var _NotificationsList2 = _interopRequireDefault(_NotificationsList);

var _NotificationsBell = require('../components/NotificationsBell');

var _NotificationsBell2 = _interopRequireDefault(_NotificationsBell);

require('./NotificationsMenu.scss');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var NotificationsMenu = exports.NotificationsMenu = function (_Component) {
  (0, _inherits3['default'])(NotificationsMenu, _Component);

  function NotificationsMenu(props) {
    (0, _classCallCheck3['default'])(this, NotificationsMenu);

    var _this = (0, _possibleConstructorReturn3['default'])(this, (NotificationsMenu.__proto__ || (0, _getPrototypeOf2['default'])(NotificationsMenu)).call(this, props));

    _this.onClick = _this.onClick.bind(_this);
    return _this;
  }

  (0, _createClass3['default'])(NotificationsMenu, [{
    key: 'componentDidMount',
    value: function () {
      function componentDidMount() {
        this.props.fetchNotifications();
      }

      return componentDidMount;
    }()
  }, {
    key: 'onClick',
    value: function () {
      function onClick(e) {
        e.stopPropagation();
        this.props.toggleMenu();
      }

      return onClick;
    }()
  }, {
    key: 'modify',
    value: function () {
      function modify(blockName) {
        return this.props.menuIsOpen ? String(blockName) + ' ' + String(blockName) + '--active' : blockName;
      }

      return modify;
    }()
  }, {
    key: 'render',
    value: function () {
      function render() {
        var _props = this.props,
            menuIsOpen = _props.menuIsOpen,
            notifications = _props.notifications;

        return _react2['default'].createElement(
          'div',
          { className: this.modify('notifications-menu'), 'data-role': 'notifications-menu' },
          _react2['default'].createElement(
            'a',
            {
              className: this.modify('notifications-menu__link'),
              onClick: this.onClick,
              'data-role': 'menu-toggle'
            },
            _react2['default'].createElement(_NotificationsBell2['default'], { hasNotifications: notifications.probes.length > 0 })
          ),
          _react2['default'].createElement(_NotificationsList2['default'], { menuIsOpen: menuIsOpen, notifications: notifications })
        );
      }

      return render;
    }()
  }]);
  return NotificationsMenu;
}(_react.Component);

NotificationsMenu.propTypes = {
  notifications: _react.PropTypes.shape({
    fetchStatus: _react.PropTypes.string.isRequired,
    probes: _react.PropTypes.array.isRequired,
    authors: _react.PropTypes.array.isRequired
  }).isRequired,
  menuIsOpen: _react.PropTypes.bool.isRequired,
  toggleMenu: _react.PropTypes.func.isRequired,
  fetchNotifications: _react.PropTypes.func.isRequired
};

var mapStateToProps = function mapStateToProps(_ref) {
  var notifications = _ref.notifications,
      menuIsOpen = _ref.menuIsOpen;
  return { notifications: notifications, menuIsOpen: menuIsOpen };
};

exports['default'] = (0, _reactRedux.connect)(mapStateToProps, { toggleMenu: _actions.toggleMenu, fetchNotifications: _actions.fetchNotifications })(NotificationsMenu);