'use strict';

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _testdouble = require('testdouble');

var _testdouble2 = _interopRequireDefault(_testdouble);

var _enzyme = require('enzyme');

var _crowdlabReactTranslations = require('crowdlab-react-translations');

var _NotificationsMenu = require('./NotificationsMenu');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('it renders a notifications menu', function (t) {
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationsMenu.NotificationsMenu, defaultProps));

  var menu = wrapper.find('[data-role="notifications-menu"]');

  t.is(menu.length, 1);
});

(0, _ava2['default'])('when the component mounts, dispatches the fetchNotifications action', function () {
  var fetchNotificationsSpy = _testdouble2['default']['function']();
  translatedMount(_react2['default'].createElement(_NotificationsMenu.NotificationsMenu, (0, _extends3['default'])({}, defaultProps, { fetchNotifications: fetchNotificationsSpy })));

  _testdouble2['default'].verify(fetchNotificationsSpy());
});

(0, _ava2['default'])('when the dropdown toggle is clicked, calls toggleMenu', function () {
  var toggleSpy = _testdouble2['default']['function']();
  var wrapper = translatedMount(_react2['default'].createElement(_NotificationsMenu.NotificationsMenu, (0, _extends3['default'])({}, defaultProps, { toggleMenu: toggleSpy })));
  var dropdownToggle = wrapper.find('[data-role="menu-toggle"]');

  dropdownToggle.simulate('click');

  _testdouble2['default'].verify(toggleSpy());
});

(0, _ava2['default'])('when the menu is open, has an acrtive modifier', function (t) {
  var menuIsOpen = true;
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationsMenu.NotificationsMenu, (0, _extends3['default'])({}, defaultProps, { menuIsOpen: menuIsOpen })));

  var list = wrapper.find('[data-role="notifications-menu"]');

  t.is(list.prop('className'), 'notifications-menu notifications-menu--active');
});

(0, _ava2['default'])('when the menu is closed, has no modifier', function (t) {
  var menuIsOpen = false;
  var wrapper = (0, _enzyme.shallow)(_react2['default'].createElement(_NotificationsMenu.NotificationsMenu, (0, _extends3['default'])({}, defaultProps, { menuIsOpen: menuIsOpen })));

  var list = wrapper.find('[data-role="notifications-menu"]');

  t.is(list.prop('className'), 'notifications-menu');
});

var defaultProps = {
  menuIsOpen: false,
  notifications: {
    fetchStatus: 'dormant',
    probes: [],
    authors: []
  },
  toggleMenu: function () {
    function toggleMenu() {}

    return toggleMenu;
  }(),
  fetchNotifications: function () {
    function fetchNotifications() {}

    return fetchNotifications;
  }()
};

var translatedMount = function translatedMount(component) {
  return (0, _enzyme.mount)((0, _crowdlabReactTranslations.injectTranslations)(component, {
    'notifications.noNotifications': 'Stubbed no',
    'notifications.title': 'Stub title'
  }));
};