'use strict';

require('crowdlab-utils');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _reactRedux = require('react-redux');

var _configureStore = require('./store/configureStore');

var _configureStore2 = _interopRequireDefault(_configureStore);

var _sagas = require('./sagas');

var _sagas2 = _interopRequireDefault(_sagas);

var _crowdlabReactTranslations = require('crowdlab-react-translations');

var _NotificationsProvider = require('./containers/NotificationsProvider');

var _NotificationsProvider2 = _interopRequireDefault(_NotificationsProvider);

var _NotificationsMenu = require('./containers/NotificationsMenu');

var _NotificationsMenu2 = _interopRequireDefault(_NotificationsMenu);

var _PopulateNotifications = require('./containers/PopulateNotifications');

var _PopulateNotifications2 = _interopRequireDefault(_PopulateNotifications);

var _RemoveNotifications = require('./containers/RemoveNotifications');

var _RemoveNotifications2 = _interopRequireDefault(_RemoveNotifications);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var store = (0, _configureStore2['default'])();
_configureStore.sagaMiddleware.run(_sagas2['default']);

var locale = {
  language: 'en',
  tag: 'en',
  translations: {
    'notifications.title': 'Notifications',
    'notifications.noNotifications': 'There are no notifications',
    'notifications.reply': '{name} replied to your question',
    'notifications.new': '{name} asked you a question'
  }
};
var target = '[data-role="notification-menu"]';
var fetchPath = '/api/probes';

_reactDom2['default'].render(_react2['default'].createElement(
  _crowdlabReactTranslations.TranslationProvider,
  { locale: locale },
  _react2['default'].createElement(
    _reactRedux.Provider,
    { store: store },
    _react2['default'].createElement(
      _NotificationsProvider2['default'],
      null,
      _react2['default'].createElement(_NotificationsMenu2['default'], { fetchPath: fetchPath }),
      _react2['default'].createElement(_PopulateNotifications2['default'], null),
      _react2['default'].createElement(_RemoveNotifications2['default'], null)
    )
  )
), document.querySelector(target));