'use strict';

require('crowdlab-utils');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _reactRedux = require('react-redux');

var _crowdlabReactTranslations = require('crowdlab-react-translations');

var _configureStore = require('../store/configureStore');

var _configureStore2 = _interopRequireDefault(_configureStore);

var _sagas = require('../sagas');

var _sagas2 = _interopRequireDefault(_sagas);

var _NotificationsMenu = require('../containers/NotificationsMenu');

var _NotificationsMenu2 = _interopRequireDefault(_NotificationsMenu);

var _PopulateNotifications = require('./PopulateNotifications');

var _PopulateNotifications2 = _interopRequireDefault(_PopulateNotifications);

var _RemoveNotifications = require('./RemoveNotifications');

var _RemoveNotifications2 = _interopRequireDefault(_RemoveNotifications);

var _AppTypeProvider = require('../components/AppTypeProvider');

var _AppTypeProvider2 = _interopRequireDefault(_AppTypeProvider);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var store = (0, _configureStore2['default'])();
_configureStore.sagaMiddleware.run(_sagas2['default']);

var locale = {
  language: 'en',
  tag: 'en',
  translations: {
    'notifications.title': 'Notifications',
    'notifications.noNotifications': 'There are no notifications',
    'notifications.reply': '{name} replied to your question',
    'notifications.new': '{name} asked you a question'
  }
};
var target = '[data-role="notification-menu"]';
var fetchPath = '/api/probes';

_reactDom2['default'].render(_react2['default'].createElement(
  _crowdlabReactTranslations.TranslationProvider,
  { locale: locale },
  _react2['default'].createElement(
    _reactRedux.Provider,
    { store: store },
    _react2['default'].createElement(
      _AppTypeProvider2['default'],
      null,
      _react2['default'].createElement(_NotificationsMenu2['default'], { fetchPath: fetchPath })
    )
  )
), document.querySelector(target));

var projectTarget = '[data-role="project-notifications"]';
var projectFetchPath = '/api/probes?project_id=1';

_reactDom2['default'].render(_react2['default'].createElement(
  _crowdlabReactTranslations.TranslationProvider,
  { locale: locale },
  _react2['default'].createElement(
    _reactRedux.Provider,
    { store: store },
    _react2['default'].createElement(
      _AppTypeProvider2['default'],
      { appType: 'discussion' },
      _react2['default'].createElement(_NotificationsMenu2['default'], { fetchPath: projectFetchPath })
    )
  )
), document.querySelector(projectTarget));

_reactDom2['default'].render(_react2['default'].createElement(
  _crowdlabReactTranslations.TranslationProvider,
  { locale: locale },
  _react2['default'].createElement(
    _reactRedux.Provider,
    { store: store },
    _react2['default'].createElement(
      'div',
      null,
      _react2['default'].createElement(_PopulateNotifications2['default'], null),
      _react2['default'].createElement(_RemoveNotifications2['default'], null)
    )
  )
), document.querySelector('[data-role="populator"]'));