'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.lastMessageSentAt = exports.lastMessageText = exports.lastMessageAuthorType = exports.lastMessageAuthorName = exports.lastMessageAuthorAvatar = exports.lastMessageAuthor = exports.lastMessage = undefined;

var _ramda = require('ramda');

var _ramda2 = _interopRequireDefault(_ramda);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var lastMessage = exports.lastMessage = _ramda2['default'].compose(_ramda2['default'].last, _ramda2['default'].path(['probe', 'messages']));

var lastMessageAuthorId = _ramda2['default'].compose(_ramda2['default'].prop('authorId'), lastMessage);

var lastMessageAuthor = exports.lastMessageAuthor = function lastMessageAuthor(_ref) {
  var probe = _ref.probe,
      authors = _ref.authors;
  return _ramda2['default'].find(_ramda2['default'].propEq('id', lastMessageAuthorId({ probe: probe })), authors);
};

var lastMessageAuthorAvatar = exports.lastMessageAuthorAvatar = _ramda2['default'].compose(_ramda2['default'].prop('avatar'), lastMessageAuthor);

var lastMessageAuthorName = exports.lastMessageAuthorName = _ramda2['default'].compose(_ramda2['default'].prop('nickname'), lastMessageAuthor);

var lastMessageAuthorType = exports.lastMessageAuthorType = _ramda2['default'].compose(_ramda2['default'].prop('type'), lastMessageAuthor);

var lastMessageText = exports.lastMessageText = _ramda2['default'].compose(_ramda2['default'].prop('text'), lastMessage);

var lastMessageSentAt = exports.lastMessageSentAt = _ramda2['default'].compose(_ramda2['default'].prop('sentAt'), lastMessage);