'use strict';

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _lastMessage = require('./lastMessage');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('lastMessage gets the last message in the probe', function (t) {
  var output = (0, _lastMessage.lastMessage)({ probe: probe });

  var expected = {
    authorId: 2,
    sentAt: '2016-08-18T16:29:55+00:00',
    text: 'Hello mate'
  };
  t.deepEqual(output, expected);
});

(0, _ava2['default'])('lastMessageAuthor gets the author of the last message in the probe', function (t) {
  var output = (0, _lastMessage.lastMessageAuthor)({ probe: probe, authors: authors });

  var expected = {
    id: 2,
    nickname: 'Steve',
    avatar: 'steve.jpg',
    type: 'participant'
  };
  t.deepEqual(output, expected);
});

(0, _ava2['default'])('lastMessageAuthorAvatar gets the author avatar of the last message in the probe', function (t) {
  var output = (0, _lastMessage.lastMessageAuthorAvatar)({ probe: probe, authors: authors });

  t.is(output, 'steve.jpg');
});

(0, _ava2['default'])('lastMessageAuthorName gets the name of the author of the last message in the probe', function (t) {
  var output = (0, _lastMessage.lastMessageAuthorName)({ probe: probe, authors: authors });

  t.is(output, 'Steve');
});

(0, _ava2['default'])('lastMessageAuthorType gets the avatar of the author of the last message in the probe', function (t) {
  var output = (0, _lastMessage.lastMessageAuthorType)({ probe: probe, authors: authors });

  t.is(output, 'participant');
});

(0, _ava2['default'])('lastMessageText gets the avatar of the author of the last message in the probe', function (t) {
  var output = (0, _lastMessage.lastMessageText)({ probe: probe });

  t.is(output, 'Hello mate');
});

(0, _ava2['default'])('lastMessageSentAt gets the avatar of the author of the last message in the probe', function (t) {
  var output = (0, _lastMessage.lastMessageSentAt)({ probe: probe });

  t.is(output, '2016-08-18T16:29:55+00:00');
});

var probe = {
  id: 1,
  probeable: {
    id: 1,
    taskIcon: 'image.jpg',
    taskTitle: 'Task Title'
  },
  messages: [{
    authorId: 1,
    sentAt: '2016-08-17T16:29:55+00:00',
    text: 'Hello world'
  }, {
    authorId: 2,
    sentAt: '2016-08-18T16:29:55+00:00',
    text: 'Hello mate'
  }]
};

var authors = [{
  id: 1,
  nickname: 'Dave',
  avatar: 'dave.jpg',
  type: 'researcher'
}, {
  id: 2,
  nickname: 'Steve',
  avatar: 'steve.jpg',
  type: 'participant'
}];