'use strict';

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _notificationHelper = require('./notificationHelper');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('when there are no notifications count returns 0', function (t) {
  var notifications = {
    probes: []
  };
  var output = (0, _notificationHelper.count)(notifications);

  t.is(output, 0);
});

(0, _ava2['default'])('when there are notifications count returns the number', function (t) {
  var notifications = {
    probes: [{ message: 'text' }, { message: 'text' }, { message: 'text' }]
  };
  var output = (0, _notificationHelper.count)(notifications);

  t.is(output, 3);
});

(0, _ava2['default'])('when there are no notifications hasNotifications returns false', function (t) {
  var notifications = {
    probes: []
  };
  var output = (0, _notificationHelper.hasNotifications)(notifications);

  t['false'](output);
});

(0, _ava2['default'])('when there are notifications hasNotifications returns true', function (t) {
  var notifications = {
    probes: [{ message: 'text' }, { message: 'text' }, { message: 'text' }]
  };
  var output = (0, _notificationHelper.hasNotifications)(notifications);

  t['true'](output);
});

(0, _ava2['default'])('when there are no notifications noNotifications returns true', function (t) {
  var notifications = {
    probes: []
  };
  var output = (0, _notificationHelper.noNotifications)(notifications);

  t['true'](output);
});

(0, _ava2['default'])('when there are notifications noNotifications returns false', function (t) {
  var notifications = {
    probes: [{ message: 'text' }, { message: 'text' }, { message: 'text' }]
  };
  var output = (0, _notificationHelper.noNotifications)(notifications);

  t['false'](output);
});