'use strict';

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _ActionTypes = require('../constants/ActionTypes');

var ActionTypes = _interopRequireWildcard(_ActionTypes);

var _menu = require('./menu');

var _menu2 = _interopRequireDefault(_menu);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj['default'] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('when the sate is undefined it returns the initial state false', function (t) {
  var result = (0, _menu2['default'])(undefined, { type: 'UNKNOWN_ACTION' });

  t.is(result, false);
});

(0, _ava2['default'])('when no action matches, returns the supplied state', function (t) {
  var state = true;

  var result = (0, _menu2['default'])(state, { type: 'UNKNOWN_ACTION' });

  t.is(result, state);
});

(0, _ava2['default'])('when action is TOGGLE_MENU, flips the boolean', function (t) {
  var stateBefore = true;
  var action = { type: ActionTypes.TOGGLE_MENU };
  var stateAfter = false;

  var result = (0, _menu2['default'])(stateBefore, action);

  t.is(result, stateAfter);
});

(0, _ava2['default'])('when action is HIDE_MENU, sets state to false', function (t) {
  var stateBefore = true;
  var action = { type: ActionTypes.HIDE_MENU };
  var stateAfter = false;

  var result = (0, _menu2['default'])(stateBefore, action);

  t.is(result, stateAfter);
});

(0, _ava2['default'])('when action is SHOW_MENU, sets state to true', function (t) {
  var stateBefore = false;
  var action = { type: ActionTypes.SHOW_MENU };
  var stateAfter = true;

  var result = (0, _menu2['default'])(stateBefore, action);

  t.is(result, stateAfter);
});