'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.watchForNotificationsUpdate = exports.listNotifications = undefined;

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _reduxSaga = require('redux-saga');

var _effects = require('redux-saga/effects');

var _ActionTypes = require('../constants/ActionTypes');

var ActionTypes = _interopRequireWildcard(_ActionTypes);

var _actions = require('../actions');

var actions = _interopRequireWildcard(_actions);

var _api = require('../api');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj['default'] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var listNotifications = exports.listNotifications = function () {
  var _marked = [listNotifications].map(_regenerator2['default'].mark);

  function listNotifications() {
    var response;
    return _regenerator2['default'].wrap(function () {
      function listNotifications$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _context.next = 2;
              return (0, _effects.put)(actions.fetchNotificationsRequested());

            case 2:
              _context.prev = 2;
              _context.next = 5;
              return (0, _effects.call)(_api.api.fetchNotifications);

            case 5:
              response = _context.sent;
              _context.next = 8;
              return (0, _effects.put)(actions.fetchNotificationsSuccess(response.data));

            case 8:
              _context.next = 14;
              break;

            case 10:
              _context.prev = 10;
              _context.t0 = _context['catch'](2);
              _context.next = 14;
              return (0, _effects.put)(actions.fetchNotificationsFailure(_context.t0));

            case 14:
            case 'end':
              return _context.stop();
          }
        }
      }

      return listNotifications$;
    }(), _marked[0], this, [[2, 10]]);
  }

  return listNotifications;
}();

var watchForNotificationsUpdate = exports.watchForNotificationsUpdate = function () {
  var _marked2 = [watchForNotificationsUpdate].map(_regenerator2['default'].mark);

  function watchForNotificationsUpdate() {
    return _regenerator2['default'].wrap(function () {
      function watchForNotificationsUpdate$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              return _context2.delegateYield((0, _reduxSaga.takeEvery)(ActionTypes.FETCH_NOTIFICATIONS, listNotifications), 't0', 1);

            case 1:
            case 'end':
              return _context2.stop();
          }
        }
      }

      return watchForNotificationsUpdate$;
    }(), _marked2[0], this);
  }

  return watchForNotificationsUpdate;
}();

exports['default'] = watchForNotificationsUpdate;