'use strict';

var _ava = require('ava');

var _ava2 = _interopRequireDefault(_ava);

var _effects = require('redux-saga/effects');

var _api = require('../api');

var _actions = require('../actions');

var actions = _interopRequireWildcard(_actions);

var _listNotifications = require('./listNotifications');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj['default'] = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

(0, _ava2['default'])('when the API accepts, completes notifications request', function (t) {
  var generator = (0, _listNotifications.listNotifications)();
  var response = {
    data: {
      probes: [],
      authors: []
    }
  };

  t.deepEqual(generator.next().value, (0, _effects.put)(actions.fetchNotificationsRequested()));

  t.deepEqual(generator.next().value, (0, _effects.call)(_api.api.fetchNotifications));

  t.deepEqual(generator.next(response).value, (0, _effects.put)(actions.fetchNotificationsSuccess(response.data)));
});

(0, _ava2['default'])('when the API rejects, fails notifications request', function (t) {
  var generator = (0, _listNotifications.listNotifications)();
  var error = {
    message: 'It has broken'
  };

  t.deepEqual(generator.next().value, (0, _effects.put)(actions.fetchNotificationsRequested()));

  t.deepEqual(generator.next().value, (0, _effects.call)(_api.api.fetchNotifications));

  t.deepEqual(generator['throw'](error).value, (0, _effects.put)(actions.fetchNotificationsFailure(error)));
});