'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.bemModify = exports.bemModifiedString = exports.optionalModify = exports.constantModify = undefined;

var _ramda = require('ramda');

var _ramda2 = _interopRequireDefault(_ramda);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var isPopulated = _ramda2['default'].both(_ramda2['default'].compose(_ramda2['default'].not, _ramda2['default'].isEmpty), _ramda2['default'].compose(_ramda2['default'].not, _ramda2['default'].isNil));

var constantModify = exports.constantModify = function constantModify(modifier, blockName) {
  return isPopulated(modifier) ? String(blockName) + '--' + String(modifier) : '';
};

var optionalModify = exports.optionalModify = function optionalModify(modifier, modified, blockName) {
  return modified ? String(blockName) + '--' + String(modifier) : '';
};

var bemModifiedString = exports.bemModifiedString = _ramda2['default'].curry(function (modifier, optionalModifier, modified, blockName) {
  var constantlyModified = constantModify(modifier, blockName);
  var optionallyModified = optionalModify(optionalModifier, modified, blockName);
  return String(blockName) + ' ' + String(constantlyModified) + ' ' + String(optionallyModified);
});

var replaceDoubleSpaces = _ramda2['default'].replace(/ {2}/g, ' ');

var bemModify = exports.bemModify = _ramda2['default'].curry(function (modifier, optionalModifier, modified, blockName) {
  return _ramda2['default'].compose(replaceDoubleSpaces, _ramda2['default'].trim, bemModifiedString(modifier, optionalModifier, modified))(blockName);
});